local Aloft = Aloft
if not Aloft or not Aloft:GetModule("ClassificationData", true) then return end
if not AloftLocale or not AloftLocale.AloftClassificationDataOptions then return end

-----------------------------------------------------------------------------

local AloftClassificationData = Aloft:GetModule("ClassificationData")

local L = AloftLocale.AloftClassificationDataOptions

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.classification =
{
	type = 'toggle',
	width = 'full',
	name = L["Save Classification Data"],
	desc = L["Stores unit classification information between sessions"],
	disabled = function(i) return not Aloft:IsEnabled() or not AloftClassificationData:IsEnabled() or not AloftClassificationData.db or not AloftClassificationData.db.profile end,
	get = function(i) return AloftClassificationData.db.profile.save end,
	set = AloftClassificationData.SetSaveData
}

-----------------------------------------------------------------------------
